Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Class ExpressionParser.ForClause

    java.lang.Object
      net.sf.saxon.expr.ExpressionParser.ForClause

Enclosing class:
  ExpressionParser

    public static class ExpressionParser.ForClause

extends Object

Field Summary
`int` | `offset`
`RangeVariableDeclaration` | `positionVariable`
`RangeVariableDeclaration` | `rangeVariable`
`SequenceType` | `requiredType`
`Expression` | `sequence`

Constructor Summary
`ExpressionParser.ForClause()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rangeVariable

    public RangeVariableDeclaration rangeVariable

### positionVariable

    public RangeVariableDeclaration positionVariable

### sequence

    public Expression sequence

### requiredType

    public SequenceType requiredType

### offset

    public int offset

Constructor Detail

### ExpressionParser.ForClause

    public ExpressionParser.ForClause()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.